import request from "@/utils/request.js";
//获取商品详情
export function getGoodDetailId(data) {
  return request.get(`book/detail/${data}`);
}
//获取文章详情
export function getArticleDetailId(data) {
  return request.get(`product/detail/${data}`);
}
export function getWechatConfig(data) {
  return request.get(`wechat/config?url=${data}`);
}
// 拼团商品详情
export function getGroupBuyingProductDetail(productId) {
  return request.get(`combination/detail/${productId}`);
}

/**
 * 设置文章 关注/收藏/点赞
 * @param keyword 关键字
 * @param range 0-发现 1-关注用户 2-我的1
 */
export function setUserState(data) {
	return request.post('book/toggle', data);
}
